## org.eclipse.emf.compare.epatch
Class AbstractEpatchBuilder.NamingTool<T>

    java.lang.Object
      org.eclipse.emf.compare.epatch.AbstractEpatchBuilder.NamingTool<T>

Enclosing class:
  AbstractEpatchBuilder

    protected static class AbstractEpatchBuilder.NamingTool<T>

extends java.lang.Object

Constructor Summary
`AbstractEpatchBuilder.NamingTool(java.lang.String def)`

Method Summary
`void` `fixRemainingConflicts()`
`java.util.List<java.util.List<T>>` `getConflicts()`
`java.util.Map<T,java.lang.String>` `getMap()`
`java.lang.String` `getName(T obj)`
`void` `put(java.lang.String name, T obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEpatchBuilder.NamingTool

    public AbstractEpatchBuilder.NamingTool(java.lang.String def)

Method Detail

### fixRemainingConflicts

    public void fixRemainingConflicts()

### getConflicts

    public java.util.List<java.util.List<T>> getConflicts()

### getMap

    public java.util.Map<T,java.lang.String> getMap()

### getName

    public java.lang.String getName(T obj)

### put

    public void put(java.lang.String name,
                    T obj)

Copyright 2006 IBM Corporation and others. All Rights Reserved.